iphone newbie two questions - can you help?

Discussion in 'Jailbreaks and iOS Hacks' started by mike4him, May 28, 2010.

  1. mike4him macrumors newbie

    Joined:
    May 19, 2010
    #1
    hello folks. I got an iphone from craigslist and I don't really know anything about them other than what I can gather from reading here - which i don't mind doing. hopefully these will be quick answers.

    1. I'm moving overseas and would like to use this phone on a new carrier (in Colombia to be exact, comcel or movistar). It's 3G 16gb version 3.1.2 (7D11) and modem firmware 05.12.01. Can I unlock this phone?

    2. I hear that 3.1.3 makes a phone unlockable. If I can unlock it how do I avoid upgrading to 3.1.3 the first time I plug it in to my macbook and fire up itunes? I'd like to get my music on it asap to use it in effect as an ipod touch before I leave in a month.

    thanks in advance for your help.
     
  2. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #2
    You can’t unlock it because it is on baseband 5.12.01. OS has nothing to do with it. Obviously this phone was on 3.1.3 at some time, which updated the baseband to 5.12.01.
     
  3. mike4him thread starter macrumors newbie

    Joined:
    May 19, 2010
    #3
    thanks a ton, so I just need to sell this one again and get one with a baseband below 5.12.01?
     
  4. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #4
    I forgot to add that if you have the 5.08 bootloader (it’s only in the oldest 3G’s) you can downgrade the baseband and then unlock. You can download Fuzzyband to see, but I doubt you do.

    So, yeah, if you don’t have that bootloader, you might as well sell it (or wait a few weeks to see if they release an unlock for 5.12.01 after the 4G’s come out).
     
  5. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #5
    Yes, try what aggie said.
    Chances are slim to be able to downgrade the baseband but worth a try.
    You need to find one that either unlocked or with baseband 05.11.07 or 04.26.08 to be sure you can software unlock it and be able to use on any GSM carrier worldwide.
     
  6. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #6
    Do you think they’re going to have an unlock for 5.12.01, or will they just expect you to upgrade to OS 4.0 and then unlock that baseband?
     
  7. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #7
    They will prob do it on the official 4.0 baseband.
    Since they havent revealed the exploit to Apple the hole will still be there no matter what Apple decides to name the next baseband that will come with the 4.0 firmware update.
    Hope the new iphones baseband will be vulnerable to the same hack/unlock also.
     
  8. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #8
    I really am looking forward to upgrading my baseband. I’ve had problems with wifi for like a month or so now. I know it is the baseband; at least that’s my theory for why so many have had problems.
     
  9. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #9
    Are you on 05.11.07?
    My 3GS is still on 04.26.08 BB since Ultrasnow is a kickass unlock, way better than blacksnow.
    Hope the next unlock hack is as smooth and bug free as their previous.
     
  10. -aggie- macrumors P6

    -aggie-

    Joined:
    Jun 19, 2009
    Location:
    Where bunnies are welcome.
    #10
    Yes, I’m on 5.11.07, so I can unlock, if they don’t provide a way to unlock for a newer baseband.

    If I had jailbroken earlier, I’d still be on 4.26.08 also. :(
     
  11. Naethyn macrumors regular

    Naethyn

    Joined:
    Feb 6, 2010
    #11
    I heard that the OS 4 might not have an updated baseband to prevent unlocking once again. I also heard that the OS 4 baseband will have an exploit for the 5.12.08 baseband.
     

Share This Page